Veo 3.1 Fast
Integrera
veo3.1/fast
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/veo3.1/fast?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/veo3.1/fast?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": True,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/veo3.1/fast", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/sv/developers/docs/mcp)
claude mcp add --transport http doitong-models https://vit.doitong.com/api/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "veo3.1/fast",
"input": {
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
}
}
Anropa modellen Veo 3.1 Fast (veo3.1/fast) via Doitong API. Dokumentation för agenter: https://doitong.com/sv/developers/models/veo3.1/fast.md
POST https://vit.doitong.com/api/v1/run/veo3.1/fast?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
}
Om svarsstatusen är "queued" eller "running" ska du polla GET https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20 tills den är "succeeded"; filerna finns i outputs[].url. POST https://vit.doitong.com/api/v1/quote/veo3.1/fast med samma body returnerar det exakta priset före körningen.
Den här begäran: 0,60 $ 600 API-krediter Kör den på den här sidan
Din nya API-nyckel. Den visas bara nu och finns redan i koden och i API-nyckelfältet nedan. Håll den hemlig: lägg aldrig in den i kod som körs i en webbläsare.
Exempel
PromptUltra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing. Sound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. Visual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced. Camera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh. Style: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.
Skapa en begäran
Kontrollerna genereras från modellschemat. Koden och priset uppdateras när du ändrar dem.
/run/veo3.1/fast?wait=20
pris → 0,60 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/veo3.1/fast?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/veo3.1/fast?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": True,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/veo3.1/fast", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "veo3.1/fast",
"input": {
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
},
"wait_seconds": 20
}
}
}
Kör den här begäran
Din nyckel stannar i den här webbläsaren: den skickas endast till Doitong API och sparas endast i localStorage om du markerar Kom ihåg. Hämta en API-nyckel
Om Veo 3.1 Fast
Veo 3.1 Fast behåller Veos realism, dialog och ljudgenerering med kortare renderingstider och ett mycket lägre pris, vilket gör den till ett bra standardval för iterationer. 4, 6 eller 8 sekunder, 16:9 eller 9:16, i 720p, 1080p eller 4K; ljud kan stängas av.
Parametrar
promptobligatoriskt
aspect_ratiovalfritt
durationvalfritt
negative_promptvalfritt
resolutionvalfritt
generate_audiovalfritt
seedvalfritt
auto_fixvalfritt
safety_tolerancevalfritt
Resultat
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "veo3.1/fast",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 600,
"usd": "0.60",
"charged": 600,
"refunded": 0
},
"input": {
"prompt": "A golden retriever runs along a beach at sunset, waves splashing, slow motion, warm backlight",
"duration": 6,
"resolution": "720p"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Resultatets fält
- video
- object {url, content_type, file_name, file_size}Video som produceras av modellen.
Andra Veo 3.1-varianter
Fler modeller: Text till video
För AI-agenter: den här sidan som Markdown finns på https://doitong.com/sv/developers/models/veo3.1/fast.md. Alla modeller och guider: https://doitong.com/developers/llms.txt